clang 10.0.0git

Classes | Macros | Functions | Variables
Types.cpp File Reference
`#include "clang/Driver/Types.h"`
`#include "clang/Driver/Driver.h"`
`#include "clang/Driver/DriverDiagnostic.h"`
`#include "clang/Driver/Options.h"`
`#include "llvm/ADT/STLExtras.h"`
`#include "llvm/ADT/SmallVector.h"`
`#include "llvm/ADT/StringSwitch.h"`
`#include "llvm/Option/Arg.h"`
`#include <cassert>`
`#include <cstring>`
`#include "clang/Driver/Types.def"`
Include dependency graph for Types.cpp:

Go to the source code of this file.

## Classes
struct | TypeInfo

## Macros
#define | TYPE(NAME, ID, PP_TYPE, TEMP_SUFFIX, ...) { NAME, TEMP_SUFFIX, TY_##PP_TYPE, { __VA_ARGS__ }, },

## Functions
static const TypeInfo & | getInfo (unsigned id)
static bool | isPrepeocessedModuleType (ID Id)

## Variables
static const TypeInfo | TypeInfos []
static const unsigned | numTypes = llvm::array_lengthof(TypeInfos)

## Macro Definition Documentation

## ◆ TYPE

#define TYPE | ( |  | NAME,
|  |  | ID,
|  |  | PP_TYPE,
|  |  | TEMP_SUFFIX,
|  |  | ...
| ) |  | { NAME, TEMP_SUFFIX, TY_##PP_TYPE, { __VA_ARGS__ }, },

## Function Documentation

## ◆ getInfo()

static const TypeInfo& getInfo | ( | unsigned | id | ) |
| static

Definition at line 38 of file Types.cpp.

References numTypes.

Referenced by clang::consumed::ConsumedBlockInfo::ConsumedBlockInfo(), clang::driver::types::getCompilationPhases(), clang::CodeGen::LoopInfoStack::getCurLoopID(), clang::CodeGen::LoopInfoStack::getCurLoopParallel(), clang::driver::types::getPreprocessedType(), clang::driver::types::getTypeName(), clang::driver::types::getTypeTempSuffix(), clang::CodeGen::LoopInfoStack::InsertHelper(), clang::driver::types::onlyAssembleType(), clang::driver::types::onlyPrecompileType(), clang::CodeGen::LoopInfoStack::setPipelineInitiationInterval(), and clang::consumed::ConsumedStmtVisitor::VisitCXXOperatorCallExpr().

## ◆ isPrepeocessedModuleType()

static bool isPrepeocessedModuleType | ( | ID | Id | ) |
| static

Definition at line 55 of file Types.cpp.

Referenced by clang::driver::types::getPrecompiledType(), and clang::driver::types::onlyPrecompileType().

## Variable Documentation

## ◆ numTypes

const unsigned numTypes = llvm::array_lengthof(TypeInfos)
| static

Definition at line 36 of file Types.cpp.

Referenced by getInfo().

## ◆ TypeInfos

const TypeInfo TypeInfos[]
| static

Initial value:
= {
#define TYPE(NAME, ID, PP_TYPE, TEMP_SUFFIX, ...)
}

Definition at line 30 of file Types.cpp.